2017-04-28 06:35 AEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000404mercuryBugpublic2016-10-03 13:42
Reporterjuliensf 
Assigned Tozs 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000404: mmc --rebuild not working
Descriptionmmc --rebuild is no longer causing anything to be rebuild. (Presumably caused by commit 1fcdc4c)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000904

wangp (developer)

This is indeed due to commit 1fcdc4c which changed the internal representation of --rebuild as opm_top_make(opmm_must_rebuild). The problem is that the op_mode for sub-steps is not opm_top_make(opmm_must_rebuild) but opm_top_args(blah) so that check_dependency_timestamps has lost the indicator that --rebuild is in effect.

I think we should change --rebuild back to a normal option that implies --make (opm_top_make).

~0000906

zs (developer)

Could either one of you add a test case for this bug? The reason I haven't looked at this bug when it was first filed is that I have no way of reproducing it, since I don't use --make myself.

~0000907

juliensf (administrator)

Any valid Mercury program is a test case for this bug, samples/hello.m for instance.

     samples jfischer$ mmc --make hello
     Making Mercury/int3s/hello.int3
     Making Mercury/ints/hello.int
     Making Mercury/cs/hello.c
     Making Mercury/os/hello.o
     Making hello

    samples jfischer$ mmc --rebuild hello
    ** Nothing to be done for `hello'.

~0000926

zs (developer)

Fixed in commit 3485884 on 2016 oct 3.
+Notes

-Issue History
Date Modified Username Field Change
2016-02-09 10:05 juliensf New Issue
2016-08-28 13:22 wangp Note Added: 0000904
2016-08-29 07:20 zs Note Added: 0000906
2016-08-29 09:32 juliensf Note Added: 0000907
2016-08-30 18:40 zs Assigned To => zs
2016-08-30 18:40 zs Status new => assigned
2016-10-03 13:42 zs Status assigned => resolved
2016-10-03 13:42 zs Resolution open => fixed
2016-10-03 13:42 zs Note Added: 0000926
+Issue History